# PrototypedMethodCaller Class Reference

Inheritance diagram for PrototypedMethodCaller:
[legend]

List of all members.

## Public Member Functions

| __construct (EntityProto $proto, &$object)

## Protected Attributes

| $proto = null
| $object = null
| $mapping = array()

## Detailed Description

Definition at line 12 of file PrototypedMethodCaller.class.php.

## Constructor & Destructor Documentation

PrototypedMethodCaller::__construct | ( | EntityProto $ | proto,
|  | &$ | object |
| ) |  |  |

Reimplemented in DirectoryMutator, FormGetter, FormMutator, and ScopeSetter.

Definition at line 19 of file PrototypedMethodCaller.class.php.

References $object, and EntityProto::getFormMapping().

Here is the call graph for this function:

## Member Data Documentation

PrototypedMethodCaller::$mapping = array()`[protected]`

Definition at line 17 of file PrototypedMethodCaller.class.php.

PrototypedMethodCaller::$object = null`[protected]`

Definition at line 15 of file PrototypedMethodCaller.class.php.

Referenced by __construct(), ScopeSetter::__construct(), FormMutator::__construct(), FormGetter::__construct(), FormExporter::__construct(), DTOGetter::__construct(), and DirectoryMutator::__construct().

PrototypedMethodCaller::$proto = null`[protected]`

Definition at line 14 of file PrototypedMethodCaller.class.php.

The documentation for this class was generated from the following file:

- main/EntityProto/PrototypedMethodCaller.class.php